Current (2025-04-01)Merchants API

Transaction

POST
/public/2025-04-01/disputes/{disputeId}/transaction
x-api-key<token>

Your Chargeflow API key. Generate it in the Developer Hub under Settings.

In: header

Path Parameters

disputeId*string

The unique Chargeflow object identifier of the dispute.

Match^[0-9a-fA-F]{24}$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Creates a new Chargeflow transaction.

Response Body

application/json

curl -X POST "https://example.com/public/2025-04-01/disputes/string/transaction" \  -H "Content-Type: application/json" \  -d '{    "source_id": "string",    "account_id": "string",    "created_at": "2019-08-24T14:15:22Z",    "type": "paid",    "amount": 0,    "currency": "str"  }'
{  "requestId": "string"}
Was this page helpful?